org.apache.ignite.cache.hibernate

## Class HibernateAccessStrategyFactory

- java.lang.Object
- - org.apache.ignite.cache.hibernate.HibernateAccessStrategyFactory

-     public class HibernateAccessStrategyFactory
      extends Object

  Access strategy factory.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHE_PREFIX` When set, all cache names in ignite will be fetched using the specified prefix.
    `static String` | `DFLT_ACCESS_TYPE_PROPERTY`
    `static String` | `GRID_CONFIG_PROPERTY`
    `static String` | `GRID_NAME_PROPERTY` Deprecated. Use `IGNITE_INSTANCE_NAME_PROPERTY`. If `IGNITE_INSTANCE_NAME_PROPERTY` is specified it takes precedence.
    `static String` | `IGNITE_INSTANCE_NAME_PROPERTY` Hibernate L2 cache Ignite instance name property name.
    `static String` | `REGION_CACHE_PROPERTY` Property prefix used to specify region name to cache name mapping.
    `static String` | `VERIFY_ATOMICITY` Disable atomicity check when caches are created lazily.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Ignite` | `node()`
    `void` | `start(Map<Object,Object> cfgValues)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GRID_NAME_PROPERTY

          @Deprecated
          public static final String GRID_NAME_PROPERTY

      Deprecated. Use `IGNITE_INSTANCE_NAME_PROPERTY`. If `IGNITE_INSTANCE_NAME_PROPERTY` is specified it takes precedence.
      Hibernate L2 cache grid name property name.
      See Also:
        Constant Field Values

    - #### IGNITE_INSTANCE_NAME_PROPERTY

          public static final String IGNITE_INSTANCE_NAME_PROPERTY

      Hibernate L2 cache Ignite instance name property name.
      See Also:
        Constant Field Values

    - #### REGION_CACHE_PROPERTY

          public static final String REGION_CACHE_PROPERTY

      Property prefix used to specify region name to cache name mapping.
      See Also:
        Constant Field Values

    - #### DFLT_ACCESS_TYPE_PROPERTY

          public static final String DFLT_ACCESS_TYPE_PROPERTY

      See Also:
        Constant Field Values

    - #### GRID_CONFIG_PROPERTY

          public static final String GRID_CONFIG_PROPERTY

      See Also:
        Constant Field Values

    - #### VERIFY_ATOMICITY

          public static final String VERIFY_ATOMICITY

      Disable atomicity check when caches are created lazily.
      See Also:
        Constant Field Values

    - #### CACHE_PREFIX

          public static final String CACHE_PREFIX

      When set, all cache names in ignite will be fetched using the specified prefix.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### start

          public void start(Map<Object,Object> cfgValues)

      Parameters:
        `cfgValues` - `Map` of config values.

    - #### node

          public Ignite node()

      Returns:
        Ignite node.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022